#include "HierarchicalParticleSystemTechnique.h"


HierarchicalParticleSystemTechnique::HierarchicalParticleSystemTechnique(
												unsigned long startFrame,
												unsigned long impostorUpdateInterval,
												unsigned int impostorResolution,
												bool useDistCalc,
												bool perspectiveRendering,
												ElementaryRenderable* parentRenderable,
												TechniqueGroup* parentTechniqueGroup)
							:RenderTechnique( parentRenderable, parentTechniqueGroup)
{
	this->startFrame = startFrame;
	this->impostorUpdateInterval = impostorUpdateInterval;
	this->impostorResolution = impostorResolution;
	this->useDistCalc = useDistCalc;
	this->perspectiveRendering = perspectiveRendering;
}

HierarchicalParticleSystemTechnique::~HierarchicalParticleSystemTechnique()
{

}

void HierarchicalParticleSystemTechnique::update(unsigned long frameNum)
{
	sharedRuns->updateRun(ILLUMRUN_HPP_IMPOSTOR, frameNum);	
}

void HierarchicalParticleSystemTechnique::runChanged(RenderingRunType runType, RenderingRun* run)
{
	if(runType == ILLUMRUN_HPP_IMPOSTOR)
		impostorChanged(run);
}

